package net.w_horse.excelpojo.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import net.w_horse.excelpojo.xml.tag.RetrieveFrom;
import net.w_horse.excelpojo.xml.tag.Use;


@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface VerticalRepeats {
	String targetClass();
	String listClass() default "java.util.ArrayList";

	String label() default "";
	String position() default "";
	String terminate() default "";
	RetrieveFrom retrieveFrom() default RetrieveFrom.BOTTOM;

	boolean margedRows() default false;
	Use use() default Use.NONE;
}
